IQL2XQuery
Keywords: uk.ac.bbk.dcs.automed.xml.wrappers.IQL2XQuery class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.wrappers
Class IQL2XQuery

    java.lang.Object
      uk.ac.bbk.dcs.automed.wrappers.IQLTranslator
          uk.ac.bbk.dcs.automed.xml.wrappers.IQL2XQuery

    public class IQL2XQuery

extends IQLTranslator

Author:
  Lucas Zamboulis

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.wrappers.IQLTranslator
`aggregateIQLFunction, aggregateQuery, collectionQuery, compSubCompMap, headPattern, logger, memberMap, parentTranslator, varAsMap, varConsMap`

Constructor Summary
`IQL2XQuery(NXDBWrapper wrapper, IQL2XQuery parentTranslator, boolean deepQuery)`

Method Summary
`java.lang.String` | `deriveVarToConstructMapping(java.lang.String var)`
`java.lang.String` | `getIQLConsNameFromIQLVar(java.lang.String var)`
`java.lang.String` | `getIQLConsNameFromXPath(java.lang.String xpath)`
`protected void` | `initialise()`
`void` | `populateCompSubCompMap(Cell pattern, Cell compHead)`
`java.lang.String` | `translate(Cell c)`

Methods inherited from class uk.ac.bbk.dcs.automed.wrappers.IQLTranslator
`getAsMap, getCompSubCompMap, getHeadPattern, getVarAsMap, getVarConsMap, isAggregateQuery, isCollectionQuery, logMaps, translate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IQL2XQuery

    public IQL2XQuery(NXDBWrapper wrapper,
                      IQL2XQuery parentTranslator,
                      boolean deepQuery)

Method Detail

### translate

    public java.lang.String translate(Cell c)

  Specified by:
    `translate` in class `IQLTranslator`

### deriveVarToConstructMapping

    public final java.lang.String deriveVarToConstructMapping(java.lang.String var)

### populateCompSubCompMap

    public final void populateCompSubCompMap(Cell pattern,
                                             Cell compHead)

### initialise

    protected final void initialise()

  Specified by:
    `initialise` in class `IQLTranslator`

### getIQLConsNameFromIQLVar

    public java.lang.String getIQLConsNameFromIQLVar(java.lang.String var)

### getIQLConsNameFromXPath

    public java.lang.String getIQLConsNameFromXPath(java.lang.String xpath)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD